using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 作业流程及安全措施
    /// </summary>
    [Description("作业流程及安全措施")]
    public class T_FO_CRUCIAL_LICENSE_SAFE_MEASURE : MesEntityBase
    {
        /// <summary>
        /// 作业环节ID
        /// </summary>
        [Description("关键许可作业票ID")]
        [DataFieldForeignKey("Nav_CrucialLicenseJob", "Nav_SafeMeasures")]
        public Guid CRUCIAL_LICENSE_JOB_ID { get; set; }

        [Description("导航属性：关键许可工作表")]
        public virtual T_FO_CRUCIAL_LICENSE_JOB Nav_CrucialLicenseJob { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        [Description("编码")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        public string NAME { get; set; }
        [Description("序号")]
        public int? NUM { get; set; }
    }
}
